snd_ctl_find_numid
Prev | Chapter 24. Sound Devices | Next

## Name

snd_ctl_find_numid — find the control instance with the given number-id

## Synopsis

`struct snd_kcontrol * snd_ctl_find_numid (` | struct snd_card * | card,
| unsigned int | numid`)`;

## Arguments

`card`

  the card instance

`numid`

  the number-id to search

## Description

Finds the control instance with the given number-id from the card.

Returns the pointer of the instance if found, or NULL if not.

The caller must down card->controls_rwsem before calling this function (if the race condition can happen).

Prev | Up | Next
snd_ctl_rename_id | Home | snd_ctl_find_id